from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.lang import XEventListener

@runtime_checkable
class XItemListListener(XEventListener, Protocol):
    def listItemInserted(self, Event: ItemListEvent) -> None: ...
    def listItemRemoved(self, Event: ItemListEvent) -> None: ...
    def listItemModified(self, Event: ItemListEvent) -> None: ...
    def allItemsRemoved(self, Event: EventObject) -> None: ...
    def itemListChanged(self, Event: EventObject) -> None: ...
